%define name kdemultimedia
%define version 1.1.2
%define release 11mdk
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define compiler gcc
%define qtver  qt >= 1.44

Name: %{name}
Summary: K Desktop Environment - Multimedia Applications
Version: %{version}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-1.1.2.tar.bz2
Source1: kdemultimedia_menuentries
Patch: %{name}-1.1-timidity.patch.bz2
Patch1: %{name}-1.1-lowcolor.patch.bz2
Group: Sound
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL/Artistic
Requires: %{qtver} kdesupport
%ifarch alpha
BuildRequires: libtool
%endif

%description
Multimedia applications for the K Desktop Environment.
Included: kmedia (media player); kmid (midi/karaoke player);
kmidi (midi-to-wav player/converter); kmix (mixer); kscd (CD audio player)

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
#%patch1 -p0 -b .lowcolor

%build
make -f Makefile.cvs

%ifarch alpha
libtoolize --force
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath
mkdir -p $RPM_BUILD_ROOT
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make install

# (fg) Copy menu entries where appropriate
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kdemultimedia

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/*xpm
%dir /usr/share/apps
/usr/share/apps/*
%dir /usr/share/mimelnk
/usr/share/mimelnk/*
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/*
/usr/bin/*
/usr/lib/menu/kdemultimedia


%changelog
* Mon Apr 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.2-11mdk
- fixed menu kmid menu entry.

* Mon Apr 03 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-10mdk

- Post and postun scripts
- Fixed menu entries

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-9mdk

- Don't use autogenerated file list
- Added menu entries
- Changed group

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force added for alpha

* Thu Dec  16 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Now look for the timidity.cfg file in the timidity directory
    (/usr/share/timidity) and not in /etc.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Nov 04 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Updated sources and RH compatible docpath. Re-enabled Makefile.cvs.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build
- said it once i'll say it again "make install-strip" sucks

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the -pre1.

* Sat Sep 04 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
Added patch to use lowcolor 32x32 icons.            

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reprefixing to -pre1

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Thu Aug 19 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- Updates from 1.1.2 CVS.

* Mon May 10 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Tell kmidi where to find timidity instrument files from the
  timidity-instruments package

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.1.1

- 1.1.1pre1
- Mandrake adaptions

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- complies w/new RPM, newer libstdc++

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
